import Path, { PathProps } from "tvrender/lib/graphic/Path.js";
import PathProxy from "tvrender/lib/core/PathProxy.js";
declare class NormalBoxPathShape {
    points: number[][];
    isSimpleBox: boolean;
    fill?: string;
    stroke?: string;
    isMobile: boolean;
}
interface NormalBoxPathProps extends PathProps {
    shape?: Partial<NormalBoxPathShape>;
}
declare class NormalBoxPath extends Path<NormalBoxPathProps> {
    readonly type = "candlePlotBox";
    shape: NormalBoxPathShape;
    constructor(opts?: NormalBoxPathProps);
    getDefaultShape(): NormalBoxPathShape;
    buildPath(ctx: PathProxy, shape: NormalBoxPathShape): void;
}
export default NormalBoxPath;
